<?php
// Options Page

	if ( ! function_exists( 'videoblog' ) ) :

		function videoblog_themeoptions( $name ) {
			$default_theme_options = array(
				'logo' => '',
				'colorhd' => '#FFFFFF',
				'colorhdfont' => '#000000',
				'colorhdfonthover' => '#2196F3',
				'color1' => '#2196F3',
				'colorfontbuttons' => '#FFFFFF',
				'displayrelatedposts' => '1',
				'showopeningheadlinedescription' => '1',
				'openingheadline' =>  get_bloginfo( 'name' ),
				'openingdescription' =>  get_bloginfo( 'description' ),
				'copyright' =>  get_bloginfo( 'name' ),
				'herofeaturedimage' => '1',
				'showexcerpts' => '1',
				'info' => '',
				);
		
			$options = wp_parse_args( get_option( 'videoblog' ), $default_theme_options );

			return $options[$name];
		}
	endif;

add_action( 'customize_register', 'videoblog_customize_register' );
function videoblog_customize_register( $wp_customize ) {

	$wp_customize->add_setting( 'videoblog[showopeningheadlinedescription]', array(
		'default' => videoblog_themeoptions( 'showopeningheadlinedescription' ),
		'sanitize_callback' => 'videoblog_sanitize_checkbox',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
	
	$wp_customize->add_control( 'videoblog[showopeningheadlinedescription]', array(
		'settings' => 'videoblog[showopeningheadlinedescription]',
		'label'    => __( 'Display Opening Headline / Description on Front Page', 'videoblog' ),
		'section'  => 'title_tagline',
		'type'     => 'checkbox',
		'priority' => 120,
	) );

	$wp_customize->add_setting( 'videoblog[openingheadline]', array(
		'default' => videoblog_themeoptions( 'openingheadline' ),
		'sanitize_callback' => 'videoblog_sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'openingheadline', array(
		'label' => __( 'Opening Headline', 'videoblog' ),
		'section' => 'title_tagline',
		'settings' => 'videoblog[openingheadline]',
		'priority' => 130,
	) );

	$wp_customize->add_setting( 'videoblog[openingdescription]', array(
		'default' => videoblog_themeoptions( 'openingdescription' ),
		'sanitize_callback' => 'videoblog_sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'openingdescription', array(
		'label' => __( 'Opening Description', 'videoblog' ),
		'section' => 'title_tagline',
		'settings' => 'videoblog[openingdescription]',
		'priority' => 140,
	) );

	$wp_customize->add_section( 'videoblog_colors', array(
		'title' => __( 'Colors', 'videoblog' ),
		'priority' => 100,
	) );
	
	$wp_customize->add_setting( 'videoblog[colorhd]', array(
		'default' => videoblog_themeoptions( 'colorhd' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhd', array(
		'label'   => __( 'Header Color', 'videoblog' ),
		'section' => 'videoblog_colors',
		'settings'   => 'videoblog[colorhd]',
		'priority' => 5,
	) ) );
	
	$wp_customize->add_setting( 'videoblog[colorhdfont]', array(
		'default' => videoblog_themeoptions( 'colorhdfont' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhdfont', array(
		'label'   => __( 'Header Font Color', 'videoblog' ),
		'section' => 'videoblog_colors',
		'settings'   => 'videoblog[colorhdfont]',
		'priority' => 10,
	) ) );

	$wp_customize->add_setting( 'videoblog[colorhdfonthover]', array(
		'default' => videoblog_themeoptions( 'colorhdfonthover' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhdfonthover', array(
		'label'   => __( 'Header Font Hover Color', 'videoblog' ),
		'section' => 'videoblog_colors',
		'settings'   => 'videoblog[colorhdfonthover]',
		'priority' => 10,
	) ) );

	$wp_customize->add_setting( 'videoblog[color1]', array(
		'default' => videoblog_themeoptions( 'color1' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color1', array(
		'label'   => __( 'Lead Color', 'videoblog' ),
		'section' => 'videoblog_colors',
		'settings'   => 'videoblog[color1]',
		'priority' => 20,
	) ) );	
	
	$wp_customize->add_setting( 'videoblog[colorfontbuttons]', array(
		'default' => videoblog_themeoptions( 'colorfontbuttons' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorfontbuttons', array(
		'label'   => __( 'Button Font Color', 'videoblog' ),
		'section' => 'videoblog_colors',
		'settings'   => 'videoblog[colorfontbuttons]',
		'priority' => 40,
	) ) );

    $wp_customize->add_section( 'videoblog_misc', array(
		'title' => __( 'Misc.', 'videoblog' ),
		'priority' => 120,
	) );

	$wp_customize->add_setting( 'videoblog[showexcerpts]', array(
		'default' => videoblog_themeoptions( 'showexcerpts' ),
		'sanitize_callback' => 'videoblog_sanitize_checkbox',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
	
	$wp_customize->add_control( 'videoblog[showexcerpts]', array(
		'settings' => 'videoblog[showexcerpts]',
		'label'    => __( 'Display Excerpts in Post Lists an Archives', 'videoblog' ),
		'section'  => 'videoblog_misc',
		'type'     => 'checkbox',
		'priority' => 5,
	) );

	$wp_customize->add_setting( 'videoblog[herofeaturedimage]', array(
		'default' => videoblog_themeoptions( 'herofeaturedimage' ),
		'sanitize_callback' => 'videoblog_sanitize_checkbox',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
	
	$wp_customize->add_control( 'videoblog[herofeaturedimage]', array(
		'settings' => 'videoblog[herofeaturedimage]',
		'label'    => __( 'Display Featured Image on Single Post View', 'videoblog' ),
		'section'  => 'videoblog_misc',
		'type'     => 'checkbox',
		'priority' => 10,
	) );

	$wp_customize->add_setting( 'videoblog[displayrelatedposts]', array(
		'default' => videoblog_themeoptions( 'displayrelatedposts' ),
		'sanitize_callback' => 'videoblog_sanitize_checkbox',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
	
	$wp_customize->add_control( 'videoblog[displayrelatedposts]', array(
		'settings' => 'videoblog[displayrelatedposts]',
		'label'    => __( 'Display Related Posts', 'videoblog' ),
		'section'  => 'videoblog_misc',
		'type'     => 'checkbox',
		'priority' => 20,
	) );
	
	$wp_customize->add_setting( 'videoblog[copyright]', array(
		'default' => videoblog_themeoptions( 'copyright' ),
		'sanitize_callback' => 'videoblog_sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'copyright', array(
		'label' => __( 'Copyright Notice in Footer', 'videoblog' ),
		'section' => 'videoblog_misc',
		'settings' => 'videoblog[copyright]',
		'priority' => 30,
	) );
	
} 

function videoblog_sanitize_text_html( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}

function videoblog_sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}

/* Add CSS */
function videoblog_add_styles() {
  if ( ! function_exists( 'get_richicon_font' ) ) {
    $richicon_font = array(
        'base' => get_template_directory_uri()."/font/richicons",
        'version' => '17909199');
  } else {
    $richicon_font = get_richicon_font();
  }
 ?>
<style type="text/css">
@font-face {
  font-family: 'richicons';
  src: url('<?php echo esc_html($richicon_font['base']).".eot?".esc_html($richicon_font['version']); ?>');
  src: url('<?php echo esc_html($richicon_font['base']).".eot?".esc_html($richicon_font['version'])."#iefix"; ?>') format('embedded-opentype'),
    url('<?php echo esc_html($richicon_font['base']).".woff?".esc_html($richicon_font['version']); ?>') format('woff'),
    url('<?php echo esc_html($richicon_font['base']).".ttf?".esc_html($richicon_font['version']); ?>') format('truetype'),
    url('<?php echo esc_html($richicon_font['base']).".svg?".esc_html($richicon_font['version'])."#richicons"; ?>') format('svg');
    font-weight: normal;
    font-style: normal;
  }

#top-menu,
.top-bar ul ul,
ul.submenu {
	background-color:<?php echo esc_attr( videoblog_themeoptions('colorhd'));?>;
}

<?php if (esc_attr(videoblog_themeoptions('colorhd')) == "#ffffff") { ?>.top-bar ul ul, .menushop .is-dropdown-submenu a:hover {background: #f9f9f9;}<?php } ?>

a #sitetitle,
.top-bar a,
.icon-menu,
#iconmenu li:before,
.top-bar ul.submenu a,
.menushop .is-dropdown-submenu a,
.menushop .is-dropdown-submenu a:hover{
	color:<?php echo esc_attr( videoblog_themeoptions('colorhdfont'));?>;
}

.top-bar a:hover,
.top-bar .current-menu-item a,
.top-bar ul.submenu a:hover,
#iconmenu li:hover:before {
	color:<?php echo esc_attr( videoblog_themeoptions('colorhdfonthover'));?>;
}

a,
a:hover,
.postbox a:hover .entry-title,
#copyright a:hover,
#footermenu a:hover,
#footer-widget-area a:hover, 
#top-widget-area a:hover,
.pagination .prev:hover, 
.pagination .next:hover,
.comment-metadata a:hover, 
.fn a:hover
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>						
		,.woocommerce a.added_to_cart:before, .woocommerce .woocommerce-info::before<?php } }?>
	{
	color:<?php echo esc_attr( videoblog_themeoptions('color1'));?>;
}
.none
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>, 
		.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
		.woocommerce #payment #place_order,
		.woocommerce-page #payment #place_order,
		.woocommerce #respond input#submit.alt:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce a.button.alt:hover,
		.woocommerce button.button.alt:hover,
		.woocommerce input.button.alt:hover,
		.woocommerce input.button,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.add_to_cart_button:hover,
		.woocommerce #respond input#submit.alt,
		.woocommerce a.button.alt,
		.woocommerce button.button.alt,
		.woocommerce input.button.alt<?php } } ?>
	{
	background:<?php echo esc_attr( videoblog_themeoptions('color1'));?>;
}
.button,
.button:hover, 
.button:focus,
.add_to_cart_button:hover,
.add_to_cart_button:focus
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>,
		.woocommerce ul.products li.product .button,
		.woocommerce input.button:hover,
		.woocommerce span.onsale<?php } } ?>
{
	background-color:<?php echo esc_attr( videoblog_themeoptions('color1'));?>;
	color: <?php echo esc_attr( videoblog_themeoptions('colorfontbuttons'));?>;
}
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>
		
			.woocommerce .woocommerce-info{
				border-top-color: <?php echo esc_attr( videoblog_themeoptions('color1'));?>;
			} 
<?php 	} } ?>
.entry-content a.more-link,
.button,
.add_to_cart_button
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>
		.woocommerce ul.products li.product .button,
		.woocommerce input.button,
		.woocommerce input.button:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.woocommerce span.onsale<?php } } ?>
	{
	color:<?php echo esc_attr( videoblog_themeoptions('colorfontbuttons'));?>;
}
</style>
<?php } add_action('wp_head', 'videoblog_add_styles'); ?>